Retrieve a VerificationReport 

Retrieves an existing VerificationReport

Parameters

No parameters.

Returns

Returns a VerificationReport object

GET /v1/identity/verification_reports/:id
curl https://api.stripe.com/v1/identity/verification_reports/vr_1MwBlH2eZvKYlo2C91hOpFMf \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "vr_1MwBlH2eZvKYlo2C91hOpFMf",
"object": "identity.verification_report",
"created": 1681337011,
"livemode": false,
"options": {
"document": {}
},
"type": "document",
"verification_session": "vs_NhaxYCqOE27AqaUTxbIZOnHw",
"document": {
"status": "verified",
"error": null,
"first_name": "Jenny",
"last_name": "Rosen",
"address": {
"line1": "1234 Main St.",
"city": "San Francisco",
"state": "CA",
"zip": "94111",
"country": "US"
},
"type": "driving_license",
"files": [
"file_NhaxRCXT8Iuu8apSuci00UC4",
"file_NhaxDeWKGAOTc8Uec7UY9Ljj"
],
"expiration_date": {
"month": 12,
"day": 1,
"year": 2025
},
"issued_date": {
"month": 12,
"day": 1,
"year": 2020
},
"issuing_country": "US"
}
}

List VerificationReports 

List all verification reports.

Parameters

  • client_reference_idstring

    A string to reference this user. This can be a customer ID, a session ID, or similar, and can be used to reconcile this verification with your internal systems.

  • createdobject

    Only return VerificationReports that were created during the given date interval.

  • typeenum

    Only return VerificationReports of this type

    Possible enum values
    document

    Perform a document check.

    id_number

    Perform an ID number check.

  • verification_sessionstring

    Only return VerificationReports created by this VerificationSession ID. It is allowed to provide a VerificationIntent ID.

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

List of VerificationInent objects that match the provided filter criteria.

GET /v1/identity/verification_reports
curl -G https://api.stripe.com/v1/identity/verification_reports \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/identity/verification_reports",
"has_more": false,
"data": [
{
"id": "vr_1MwBlH2eZvKYlo2C91hOpFMf",
"object": "identity.verification_report",
"created": 1681337011,
"livemode": false,
"options": {
"document": {}
},
"type": "document",
"verification_session": "vs_NhaxYCqOE27AqaUTxbIZOnHw",
"document": {
"status": "verified",
"error": null,
"first_name": "Jenny",
"last_name": "Rosen",
"address": {
"line1": "1234 Main St.",
"city": "San Francisco",
"state": "CA",
"zip": "94111",
"country": "US"
},
"type": "driving_license",
"files": [
"file_NhaxRCXT8Iuu8apSuci00UC4",
"file_NhaxDeWKGAOTc8Uec7UY9Ljj"
],
"expiration_date": {
"month": 12,
"day": 1,
"year": 2025
},
"issued_date": {
"month": 12,
"day": 1,
"year": 2020
},
"issuing_country": "US"
}
}
]
}